﻿function GetSearchResults(keyword) {
    //update the user manual topics
    
    if (keyword.value.length != 0) {

        $('#SearchTopic').attr('src', 'http://go.gfi.com/?pageid=WebMon11#search-' + keyword.value);

        $("#videoSearches li:not(.noResults)").remove();

        var videoResultCount = 0;

        // loop on global variable videoResults fetched on page load in getDefaultHelp()
        for (i = 0, l = videoResults.length; i < l; i++) {

            if (videoResultCount < 3) {

                var tutorialName = videoResults[i].name.toLowerCase();

                if (tutorialName.indexOf(keyword.value.toLowerCase()) > -1) {
                    //console.log(tutorialName);
                    $("#videoSearches").append("<li><a href='http://go.gfi.com/?pageid=webmon_vidtuts&video=" + videoResults[i].id +"' target='_blank'>" + videoResults[i].name + "</a></li>");
                    videoResultCount++;
                }

            }

        } // end for loop

        if (videoResultCount == 0) {
            //$("#videoSearches li.noResults").show();

            $("#videoTutorials").hide();
        }

        else {
            //$("#videoSearches li.noResults").hide();
            $("#videoTutorials").show();
        }

    } // end of if

    else {
        getDefaultHelp();
    }

}

function getDefaultVideoTutorials() {
    // getting first 3 video video tutorials
    $.ajax({
        url: "https://api.wistia.com/v1/medias.json?api_password=963d931c5cad84d3acb493226a87025b15c3a0be&project_id=883423",
        success: function (data) {

            videoResults = data;
            var videoResultCount = 0;

            for (i = 0, l = videoResults.length; i < l; i++) {

                if (videoResultCount < 3) {
                    var tutorialName = videoResults[i].name.toLowerCase();
                    $("#videoSearches").append("<li><a href='http://go.gfi.com/?pageid=webmon_vidtuts&video=" + videoResults[i].id + "' target='_blank'>" + videoResults[i].name + "</a></li>");
                    videoResultCount++;
                }

            } // end for loop

        } // end of success
    }); // end of ajax
}


function getDefaultHelp() {
    var loc = window.location.pathname;
    var dir = loc.substring(0, loc.lastIndexOf('/')).replace('/', '');

    switch (dir) {
        case 'Home':
            dir = 'Overview';
            break;
        case 'NotificationCenter':
            dir = 'Notifications';
            break;
        case 'Manage':
            dir = $('#settingsTitle').text().trim();
            if (dir == '') {
                dir = 'policies';
            }
            break;
        case 'Reports':
            dir = "Reports";
            break;
        case 'Settings':
            dir = "Settings"; //$("h2", "#titleBar").text().trim();
            break;
        default:
            dir = $(".title", ".title-container").text().trim();
            break;
    }
    // update manual topics
    $('#SearchTopic').attr('src', 'http://go.gfi.com/?pageid=WebMon11#search-' + dir);

}

$(window).load(function () {
    getDefaultHelp();
    getDefaultVideoTutorials();
})